Bug 480852 - RHEL6: Please synchronize ethtool with latest from Fedora Rawhide
RHEL6: Please synchronize ethtool with latest from Fedora Rawhide
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ethtool (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Jeff Garzik
Michal Nowak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-20 17:03 EST by Robert Scheck
Modified: 2013-07-02 22:36 EDT (History)
6 users (show)

See Also:
Fixed In Version: ethtool-6-7.20090323git.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 15:22:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2009-01-20 17:03:57 EST
Description of problem:
Please synchronize ethtool for RHEL6 with latest from Fedora Rawhide. Ethtool
>= 2.20090115git.fc11 must make it into RHEL 6 as there are new features and
also fixes which are currently not in RHEL 5. I of course understand, that this
won't go into RHEL 5.x, but for RHEL6 this must happen.

Changelog from latest ethtool is e.g. in /usr/share/doc/ethtool-*/ChangeLog.git in the latest Fedora package. To explain myself, I'm the co-maintainer of
ethtool in Fedora and we shouldn't lack the new features of ethtool in RHEL6.

Please ensure that with the help of this bug report and reassign this bug report to the product "Red Hat Enterprise Linux 6" (I'm not allowed to do
this) - thank you.

Version-Release number of selected component (if applicable):
ethtool-6-2.20090115git.fc11

Expected results:
Latest ethtool from Fedora Rawhide also in RHEL6.

Additional info:
Updating to latest ethtool from Fedora Rawhide will also solve bug #477498,
bug #472038 and bug #472034. Bill, maybe you can perform the re-assigning?
Comment 1 Bill Nottingham 2009-01-20 19:36:41 EST
Given that RHEL 6 will incklude at least that version, setting to MODIFIED.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 RHEL Product and Program Management 2009-06-15 16:56:20 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Robert Scheck 2009-06-15 17:00:52 EDT
Ah! This is a request by me as Fedora contributor, I can't query the Red Hat
Product Management for this. I'm the Fedora ethtool package co-maintainer, so
this is an improvement of ethtool in next Red Hat Enterprise Linux release.
Comment 4 releng-rhel@redhat.com 2009-10-28 11:51:16 EDT
Fixed in 'ethtool-6-7.20090323git.el6', included in compose 'RHEL6.0-20091027.3'.
Moving to ON_QA.
Comment 6 releng-rhel@redhat.com 2010-11-10 15:22:08 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.